---
agentTools:
  projectIndex: https://sendinblue.readme.io/llms.txt
---

# Create contact attribute

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "contact": {
      "email": "contact@brevo.com",
      "name": "Brevo Support",
      "url": "https://account.brevo.com/support"
    },
    "description": "Brevo provide a RESTFul API that can be used with any languages. With this API, you will be able to :\n  - Manage your campaigns and get the statistics\n  - Manage your contacts\n  - Send transactional Emails and SMS\n  - and much more...\n\nYou can download our wrappers at https://github.com/orgs/brevo\n**Possible responses**\n  | Code | Message |\n  | :-------------: | ------------- |\n  | 200  | OK. Successful Request  |\n  | 201  | OK. Successful Creation |\n  | 202  | OK. Request accepted |\n  | 204  | OK. Successful Update/Deletion  |\n  | 400  | Error. Bad Request  |\n  | 401  | Error. Authentication Needed  |\n  | 402  | Error. Not enough credit, plan upgrade needed  |\n  | 403  | Error. Permission denied  |\n  | 404  | Error. Object does not exist |\n  | 405  | Error. Method not allowed  |\n  | 406  | Error. Not Acceptable  |\n  | 422  | Error. Unprocessable Entity |\n",
    "license": {
      "name": "MIT",
      "url": "http://opensource.org/licenses/MIT"
    },
    "title": "Brevo API",
    "version": "3.0.0"
  },
  "servers": [
    {
      "url": "https://api.brevo.com/v3"
    }
  ],
  "security": [
    {
      "api-key": []
    },
    {
      "partner-key": []
    }
  ],
  "paths": {
    "/contacts/attributes/{attributeCategory}/{attributeName}": {
      "post": {
        "operationId": "createAttribute",
        "parameters": [
          {
            "description": "Category of the attribute",
            "in": "path",
            "name": "attributeCategory",
            "required": true,
            "schema": {
              "enum": [
                "normal",
                "transactional",
                "category",
                "calculated",
                "global"
              ],
              "type": "string"
            }
          },
          {
            "description": "Name of the attribute",
            "in": "path",
            "name": "attributeName",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "enumeration": {
                    "description": "List of values and labels that the attribute can take. **Use only if the attribute's category is \"category\"**. None of the category options can exceed max 200 characters. For example: **[{\"value\":1, \"label\":\"male\"}, {\"value\":2, \"label\":\"female\"}]**\n",
                    "items": {
                      "properties": {
                        "label": {
                          "description": "Label of the value",
                          "example": "Women",
                          "type": "string"
                        },
                        "value": {
                          "description": "Id of the value",
                          "example": 1,
                          "type": "integer"
                        }
                      },
                      "required": [
                        "label",
                        "value"
                      ],
                      "type": "object"
                    },
                    "type": "array"
                  },
                  "isRecurring": {
                    "description": "Type of the attribute. **Use only if the attribute's category is 'calculated' or 'global'**\n",
                    "example": true,
                    "type": "boolean"
                  },
                  "multiCategoryOptions": {
                    "description": "List of options you want to add for multiple-choice attribute. **Use only if the attribute's category is \"normal\" and attribute's type is \"multiple-choice\". None of the multicategory options can exceed max 200 characters.** For example: **[\"USA\",\"INDIA\"]**\n",
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "type": {
                    "description": "Type of the attribute. **Use only if the attribute's category is 'normal', 'category' or 'transactional'** Type **user and multiple-choice** is only available if the category is **normal** attribute Type **id** is only available if the category is **transactional** attribute Type **category** is only available if the category is **category** attribute\n",
                    "enum": [
                      "text",
                      "date",
                      "float",
                      "boolean",
                      "id",
                      "category",
                      "multiple-choice",
                      "user"
                    ],
                    "example": "text",
                    "type": "string"
                  },
                  "value": {
                    "description": "Value of the attribute. **Use only if the attribute's category is 'calculated' or 'global'**\n",
                    "example": "COUNT[BLACKLISTED,BLACKLISTED,<,NOW()]",
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Values to create an attribute",
          "required": true
        },
        "responses": {
          "201": {
            "content": {},
            "description": "Attribute created"
          },
          "400": {
            "$ref": "#/components/responses/errorModel"
          }
        },
        "summary": "Create contact attribute",
        "tags": [
          "Contacts"
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api-key": {
        "description": "The API key should be passed in the request headers as `api-key` for authentication.",
        "in": "header",
        "name": "api-key",
        "type": "apiKey"
      },
      "partner-key": {
        "description": "The partner key should be passed in the request headers as `partner-key` along with `api-key` pair for successful authentication of partner (Optional).",
        "in": "header",
        "name": "partner-key",
        "type": "apiKey"
      }
    },
    "responses": {
      "errorModel": {
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "code": {
                  "description": "Error code displayed in case of a failure",
                  "enum": [
                    "invalid_parameter",
                    "missing_parameter",
                    "out_of_range",
                    "campaign_processing",
                    "campaign_sent",
                    "document_not_found",
                    "not_enough_credits",
                    "permission_denied",
                    "duplicate_parameter",
                    "duplicate_request",
                    "method_not_allowed",
                    "unauthorized",
                    "account_under_validation",
                    "not_acceptable",
                    "bad_request",
                    "unprocessable_entity",
                    "Domain does not exist",
                    "Contact email not found",
                    "Attribute not found",
                    "Category id not found",
                    "Invalid parameters passed",
                    "Record(s) for identifier not found",
                    "Returned when query params are invalid",
                    "Returned when invalid data posted",
                    "Feed not found",
                    "Campaign ID not found",
                    "api-key not found",
                    "DMARC policy requires domain authentication",
                    "DNS records not properly configured",
                    "Invalid OTP code provided",
                    "OTP code has expired",
                    "Domain already exists in your account",
                    "The sum of all IP weights must equal 100",
                    "Authentication failed",
                    "Insufficient credits",
                    "Request already processed"
                  ],
                  "example": "method_not_allowed",
                  "type": "string"
                },
                "message": {
                  "description": "Readable message associated to the failure",
                  "example": "POST Method is not allowed on this path",
                  "type": "string"
                }
              },
              "required": [
                "code",
                "message"
              ],
              "type": "object"
            }
          }
        },
        "description": "bad request"
      }
    }
  },
  "x-samples-languages": [
    "curl"
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 91,
      "1": 104,
      "2": 180,
      "3": 205,
      "4": 240,
      "5": 82,
      "6": 207,
      "7": 0,
      "8": 3,
      "9": 36,
      "10": 63,
      "11": 142
    }
  }
}
```